Bug 1278305 - bridge over (bond.vlan) can't ping ipv6 from client to server
bridge over (bond.vlan) can't ping ipv6 from client to server
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Rashid Khan
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 03:45 EST by Jiaochuandong
Modified: 2016-04-28 20:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-10 21:27:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiaochuandong 2015-11-05 03:45:59 EST
Description of problem:
On mode 0 and 2 ,attaching a bond.vlan device to a bridge then the clinet can't ping piv6 server.  


Version-Release number of selected component (if applicable):
HEL-7.2-20151027.3
kernel-3.10.0-326.el7

How reproducible:
100%

Steps to Reproduce:
1. Intended configuration
ens2f0 -|
        |-- bond0 --  vlan  -- br0 (clinet & server)
ens2f1 -|  (mode=0)        (bond0.3)
           (mode=2)
clinet ipv4: 192.168.59.16/24 ipv6:2059::16/64
server ipv4: 192.168.59.18/24 ipv6:2059::18/64

client:
2.config switch  about port-channel on
   get_iface_sw_port $bond_if switch_name port_list kick_list;echo $switch_name;echo $port_list
   swcfg setup_port_channel $switch_name $port_list on
3.create bond0
#nmcli con add type bond ifname bond0 con-name bond0 autoconnect no mode 0 miimon 100
#ip link set ens2f0 mtu 1500
#nmcli con add type bond-slave ifname ens2f0 master bond0
#nmcli con up bond-slave-en2f0
#ip link set en2f0 mtu 1500
#nmcli con add type bond-slave ifname ens2f1 master bond0
#nmcli con up bond-slave-en2f1
#ip link set en2f1 mtu 1500
#nmcli con up bond0
#ip link set bond0 mtu 1500
4.create  VLAN interfaces ontop of the bond0
#nmcli con add type vlan con-name bond0.3 autoconnect no dev bond0 id 3 mtu 1500
#nmcli con up bond0.3 
5.create br0
#nmcli con add type bridge ifname br0 con-name br0 stp no ip4 192.168.59.16/24 ip6 2059::16/64
#nmcli con up br0
#ip link set br0 mtu 1500
6.bond.vlan add bridge
#echo -e "remove ipv4 \n remove ipv6 \n set connection.slave-type bridge \n set connection.master br0 \n verify fix \n save \n quit" | nmcli con edit bond0.3
#nmcli con up bond0.3

#brctl show
bridge name	bridge id		STP enabled	interfaces
br0		8000.0010184d080c	no		bond0.3
#nmcli dev sh br0
...
IP4.ADDRESS[1]:                         192.168.59.16/24
IP6.ADDRESS[1]:                         2059::16/64

server is same as client.
server:
#nmcli dev sh br0
IP4.ADDRESS[1]:                         192.168.59.18/24
IP6.ADDRESS[1]:                         2059::18/64


Actual results:
on the client:
ping6 -c 10 -I br0 2059::18
PING 2154::18(2154::18) from 2620:52:0:4257:e61f:13ff:fee6:9478 br0: 56 data bytes
From 2620:52:0:4257:e61f:13ff:fee6:9478 icmp_seq=1 Destination unreachable: Address unreachable
From 2620:52:0:4257:e61f:13ff:fee6:9478 icmp_seq=2 Destination unreachable: Address unreachable
From 2620:52:0:4257:e61f:13ff:fee6:9478 icmp_seq=3 Destination unreachable: Address unreachable
From 2620:52:0:4257:e61f:13ff:fee6:9478 icmp_seq=4 Destination unreachable: Address unreachable
From 2620:52:0:4257:e61f:13ff:fee6:9478 icmp_seq=5 Destination unreachable: Address unreachable
From 2620:52:0:4257:e61f:13ff:fee6:9478 icmp_seq=6 Destination unreachable: Address unreachable
From 2620:52:0:4257:e61f:13ff:fee6:9478 icmp_seq=7 Destination unreachable: Address unreachable
From 2620:52:0:4257:e61f:13ff:fee6:9478 icmp_seq=8 Destination unreachable: Address unreachable
From 2620:52:0:4257:e61f:13ff:fee6:9478 icmp_seq=9 Destination unreachable: Address unreachable
From 2620:52:0:4257:e61f:13ff:fee6:9478 icmp_seq=10 Destination unreachable: Address unreachable
Comment 2 Jirka Klimes 2015-11-09 04:35:49 EST
Can you ping 2620:52:0... addresses?

2059::18 is probably not routable.

$ ip addr
$ ip -6 route
$ ip -6 neigh

Note You need to log in before you can comment on or make changes to this bug.